Tasks 5 endpoints

GET /tasks

Returns all tasks. This is a cursor-paginated endpoint. For more information, please refer to our documentation on pagination.

operationId: Tasks_listAllTasks

Parameters

Name In Required Type Description
cursor query optional string

For pagination, the marker (an opaque string value) representing the first item on the next page

limit query optional integer

For pagination, the limit of entries to be returned. If not provided, up to 500 items will be returned.

assignee_id query optional integer

If supplied, only tasks that are assigned to this user are returned

project_id query optional integer

If supplied, only tasks that are assigned to this project are returned

parent_task_id query optional integer

If null is supplied then only parent tasks are returned. If integer is supplied then only subtasks of a specific task are returned. By default all tasks are returned.

done query optional number

Whether the task is done or not. 0 = Not done, 1 = Done. If not omitted then returns both done and not done tasks.

Responses

200

A list of tasks.

GET /tasks
POST /tasks

Adds a new task.

operationId: Tasks_createTask

Request Body

application/json
schema TasksCreateTaskRequest
Property Type Required
title string required
project_id number required
done number optional
due_date string optional
assignee_id number optional
description string optional
parent_task_id number optional

Responses

201

Created task.

POST /tasks
DELETE /tasks/{id}

Marks a task as deleted. If the task has subtasks then those will also be deleted.

operationId: Tasks_deleteTask

Parameters

Name In Required Type Description
id path required integer

The ID of the task

Responses

200

Deleted task.

DELETE /tasks/{id}
GET /tasks/{id}

Returns the details of a specific task.

operationId: Tasks_getDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the task

Responses

200

Get a task.

GET /tasks/{id}
PUT /tasks/{id}

Updates a task.

operationId: Tasks_updateTask

Parameters

Name In Required Type Description
id path required integer

The ID of the task

Request Body

application/json
schema TasksUpdateTaskRequest
Property Type Required
title string optional
project_id number optional
done number optional
due_date string optional
assignee_id number optional
description string optional
parent_task_id number optional

Responses

200

Updated task.

PUT /tasks/{id}

Userconnections 1 endpoints

GET /userConnections

Returns data about all connections for the authorized user.

operationId: UserConnections_getAllConnections

Responses

200

The data of user connections

401

Unauthorized response

GET /userConnections

Usersettings 1 endpoints

GET /userSettings

Lists the settings of an authorized user. Example response contains a shortened list of settings.

operationId: UserSettings_listAuthorizedSettings

Responses

200

The list of user settings

401

Unauthorized response

GET /userSettings

Users 10 endpoints

GET /users

Returns data about all users within the company.

operationId: Users_getAll

Responses

200

The list of user objects

GET /users
POST /users

Adds a new user to the company, returns the ID upon success.

operationId: Users_addNewUser

Request Body

application/json
schema UsersAddNewUserRequest
Property Type Required
email string required
access array optional
app string required
admin boolean optional
permission_set_id string optional
active_flag boolean optional

Responses

200

The data of the user

403

Forbidden response

POST /users
GET /users/find

Finds users by their name.

operationId: Users_findByName

Parameters

Name In Required Type Description
term query required string

The search term to look for

search_by_email query optional number

When enabled, the term will only be matched against email addresses of users. Default: false.

Responses

200

The list of user objects

GET /users/find
GET /users/me

Returns data about an authorized user within the company with bound company data: company ID, company name, and domain. Note that the locale property means ‘Date/number format’ in the Pipedrive account settings, not the chosen language.

operationId: Users_getCurrentUserData

Responses

200

The data of the logged in user

401

Unauthorized response

GET /users/me
GET /users/{id}

Returns data about a specific user within the company.

operationId: Users_getUser

Parameters

Name In Required Type Description
id path required integer

The ID of the user

Responses

200

The data of the user

404

User with specified ID does not exist or is inaccessible

GET /users/{id}
PUT /users/{id}

Updates the properties of a user. Currently, only active_flag can be updated.

operationId: Users_updateDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the user

Request Body

application/json
schema UsersUpdateDetailsRequest
Property Type Required
active_flag boolean required

Responses

200

The data of the user

403

Forbidden response

404

User with specified ID does not exist or is inaccessible

PUT /users/{id}
GET /users/{id}/followers

Lists the followers of a specific user.

operationId: Users_listFollowers

Parameters

Name In Required Type Description
id path required integer

The ID of the user

Responses

200

The list of user IDs

403

Forbidden response

GET /users/{id}/followers
GET /users/{id}/permissions

Lists aggregated permissions over all assigned permission sets for a user.

operationId: Users_listPermissions

Parameters

Name In Required Type Description
id path required integer

The ID of the user

Responses

200

The list of user permissions

GET /users/{id}/permissions
GET /users/{id}/roleAssignments

Lists role assignments for a user.

operationId: Users_listRoleAssignments

Parameters

Name In Required Type Description
id path required integer

The ID of the user

start query optional integer

Pagination start

limit query optional integer

Items shown per page

Responses

200

List assignments for a role

GET /users/{id}/roleAssignments
GET /users/{id}/roleSettings

Lists the settings of user’s assigned role.

operationId: Users_listRoleSettings

Parameters

Name In Required Type Description
id path required integer

The ID of the user

Responses

200

List role settings

GET /users/{id}/roleSettings

Webhooks 3 endpoints

GET /webhooks

Returns data about all the Webhooks of a company.

operationId: Webhooks_getAll

Responses

200

The list of webhooks objects from the logged in company and user

401

Unauthorized response

GET /webhooks
POST /webhooks

Creates a new Webhook and returns its details. Note that specifying an event which triggers the Webhook combines 2 parameters - event_action and event_object. E.g., use *.* for getting notifications about all events, added.deal for any newly added deals, deleted.persons for any deleted persons, etc. See the guide for Webhooks for more details.

operationId: Webhooks_createNewWebhook

Request Body

application/json
schema WebhooksCreateNewWebhookRequest
Property Type Required
user_id integer optional
version string optional
event_action string required
event_object string required
http_auth_user string optional
subscription_url string required
http_auth_password string optional

Responses

201

The created webhook object

400

The bad response on webhook creation

401

Unauthorized response

POST /webhooks
DELETE /webhooks/{id}

Deletes the specified Webhook.

operationId: Webhooks_deleteExistingWebhook

Parameters

Name In Required Type Description
id path required integer

The ID of the Webhook to delete

Responses

200

The webhook deletion success response

401

Unauthorized response

403

The webhook deletion forbidden response

404

The webhook deletion not found response

DELETE /webhooks/{id}